<?xml version="1.0" encoding="UTF-8"?>
   
<!--
    Copyright (c) 2011, 2019 IBM Corporation and others.
    This program and the accompanying materials
    are made available under the terms of the Eclipse Public License 2.0
    which accompanies this distribution, and is available at
    https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

    Contributors:
        IBM Corporation - initial API and implementation
 -->
 <!--
        This script is to create some zips with core features only.
        Limited, specialized usefulness, so they are not linked or
        advertised. That is, could change at any time.
    -->
<project
    default="build"
    basedir=".">
    <!--
        These properties are normally set by calling task, but for
        "local" tests from command line, they can be set here
    -->
    <property
        name="buildDirectory"
        value="/shared/webtools/committers/wtp-R3.2.0-I/20091029001529"/>
    <property
        name="buildLabel"
        value="I-3.2.0-20091029030635"/>
    <property
        name="wtp.builder.home"
        value="/shared/webtools/projectBuilders/wtp-R3.2.0-I/webtools.releng/releng.wtpbuilder"/>
    <echo message="buildDirectory: ${buildDirectory}"/>
    <echo message="buildLabel: ${buildLabel}"/>
    <echo message="wtp.builder.home: ${wtp.builder.home}"/>
    <!--
        three convenience variables to help avoid typos, etc. Should
        never need to be changed
    -->
    <property
        name="tempDir"
        value="${buildDirectory}/${buildLabel}/tempdir"/>
    <property
        name="tempRunnableEclipse"
        value="${tempDir}/eclipse"/>
    <property
        name="tempRepo"
        value="${buildDirectory}/${buildLabel}/temprepo"/>
    <target name="build">
<!-- TODO ... fit into repo methodology like others -->

    </target>

<!--
        Handles packaging of individual Faceted Project Framework
        distributions. Note the check on "requested and available" is simply 
        to avoid extra error messages, if the wtp zip failed to be created due 
        to some earlier error.
    -->
    <target
        name="checkFprojConditions"
        if="doCreateFprojZips">
        <condition property="requestedAndAvailable">
            <available file="${buildDirectory}/${buildLabel}/${build.distribution}-sdk-${buildLabel}.zip"/>
        </condition>
    </target>
    <target
        name="createFprojZips"
        depends="checkFprojConditions"
        if="requestedAndAvailable">
        <delete
	     quiet="true"
            file="${buildDirectory}/${buildLabel}/${build.distribution}-common-fproj-${buildLabel}.zip"
            failonerror="false"/>
        <zip destfile="${buildDirectory}/${buildLabel}/${build.distribution}-common-fproj-${buildLabel}.zip">
            <zipfileset src="${buildDirectory}/${buildLabel}/${build.distribution}-sdk-${buildLabel}.zip">
                <include name="eclipse/features/org.eclipse.wst.common.fproj_*/**"/>
                <include name="eclipse/plugins/org.eclipse.wst.common.project.facet.core_*.jar"/>
                <include name="eclipse/plugins/org.eclipse.wst.common.project.facet.ui_*.jar"/>
            </zipfileset>
        </zip>
        <delete
              quiet="true"
            file="${buildDirectory}/${buildLabel}/${build.distribution}-common-fproj-sdk-${buildLabel}.zip"
            failonerror="false"/>
        <zip destfile="${buildDirectory}/${buildLabel}/${build.distribution}-common-fproj-sdk-${buildLabel}.zip">
            <zipfileset src="${buildDirectory}/${buildLabel}/${build.distribution}-common-fproj-${buildLabel}.zip"/>
            <zipfileset src="${buildDirectory}/${buildLabel}/${build.distribution}-sdk-${buildLabel}.zip">
                <include name="eclipse/features/org.eclipse.wst.common.fproj.sdk_*/**"/>
                <include name="eclipse/plugins/org.eclipse.wst.common.fproj.sdk_*.jar"/>
                <include name="eclipse/plugins/org.eclipse.wst.common.project.facet.doc.api_*.jar"/>
                <include name="eclipse/plugins/org.eclipse.wst.common.project.facet.core.source_*.jar"/>
                <include name="eclipse/plugins/org.eclipse.wst.common.project.facet.ui.source_*.jar"/>
            </zipfileset>
        </zip>
        <delete
              quiet="true"
            file="${buildDirectory}/${buildLabel}/${build.distribution}-common-fproj-enablement-jdt-${buildLabel}.zip"
            failonerror="false"/>
        <zip destfile="${buildDirectory}/${buildLabel}/${build.distribution}-common-fproj-enablement-jdt-${buildLabel}.zip">
            <zipfileset src="${buildDirectory}/${buildLabel}/${build.distribution}-sdk-${buildLabel}.zip">
                <include name="eclipse/features/org.eclipse.jst.common.fproj.enablement.jdt_*/**"/>
                <include name="eclipse/plugins/org.eclipse.jst.common.project.facet.core_*.jar"/>
                <include name="eclipse/plugins/org.eclipse.jst.common.project.facet.ui_*.jar"/>
            </zipfileset>
        </zip>
        <delete
                     quiet="true"
            file="${buildDirectory}/${buildLabel}/${build.distribution}-common-fproj-enablement-jdt-sdk-${buildLabel}.zip"
            failonerror="false"/>
        <zip destfile="${buildDirectory}/${buildLabel}/${build.distribution}-common-fproj-enablement-jdt-sdk-${buildLabel}.zip">
            <zipfileset src="${buildDirectory}/${buildLabel}/${build.distribution}-common-fproj-enablement-jdt-${buildLabel}.zip"/>
            <zipfileset src="${buildDirectory}/${buildLabel}/${build.distribution}-sdk-${buildLabel}.zip">
                <include name="eclipse/features/org.eclipse.jst.common.fproj.enablement.jdt.sdk_*/**"/>
                <include name="eclipse/plugins/org.eclipse.jst.common.fproj.enablement.jdt.sdk_*.jar"/>
                <include name="eclipse/plugins/org.eclipse.jst.common.project.facet.core.source_*.jar"/>
                <include name="eclipse/plugins/org.eclipse.jst.common.project.facet.ui.source_*.jar"/>
            </zipfileset>
        </zip>
        <ant
            antfile="${wtp.builder.home}/scripts/build/buildutilitiesp2.xml"
            target="createChecksums">
            <property
                name="buildDirectory"
                value="${buildDirectory}"/>
            <property
                name="buildLabel"
                value="${buildLabel}"/>
            <property
                name="archiveName"
                value="${build.distribution}-common-fproj-${buildLabel}.zip"/>
        </ant>
        <ant
            antfile="${wtp.builder.home}/scripts/build/buildutilitiesp2.xml"
            target="createChecksums">
            <property
                name="buildDirectory"
                value="${buildDirectory}"/>
            <property
                name="buildLabel"
                value="${buildLabel}"/>
            <property
                name="archiveName"
                value="${build.distribution}-common-fproj-sdk-${buildLabel}.zip"/>
        </ant>
        <ant
            antfile="${wtp.builder.home}/scripts/build/buildutilitiesp2.xml"
            target="createChecksums">
            <property
                name="buildDirectory"
                value="${buildDirectory}"/>
            <property
                name="buildLabel"
                value="${buildLabel}"/>
            <property
                name="archiveName"
                value="${build.distribution}-common-fproj-enablement-jdt-${buildLabel}.zip"/>
        </ant>
        <ant
            antfile="${wtp.builder.home}/scripts/build/buildutilitiesp2.xml"
            target="createChecksums">
            <property
                name="buildDirectory"
                value="${buildDirectory}"/>
            <property
                name="buildLabel"
                value="${buildLabel}"/>
            <property
                name="archiveName"
                value="${build.distribution}-common-fproj-enablement-jdt-sdk-${buildLabel}.zip"/>
        </ant>
    </target>
</project>